/**
 * Checkator jQuery Plugin
 * A plugin for radio and checkbox elements
 * version 1.1, Dec 20th, 2013
 * by Ingi á Steinamørk
 */

/* RESET */
input[type=radio],
input[type=checkbox] {
	margin-bottom: 0;
}

/* SOURCE ELEMENT (when checkator is enabled on an element) */
.checkator_source {
	position: relative;
	z-index: 2;
	display: block;
}

/* SHARED SETTING */
.checkator_holder { /* Holder for the new element */
	display: inline-block;
	position: relative;
}
.checkator_element { /* New element */
	border: 2px solid #abadb3;
	background-color: #fff;
	display: block;
	position: absolute;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	z-index: 1;
}
.checkator_source:checked+.checkator_element:after { /* Checked element dot */
	background-color: #7fa92c;
	display: block;
	content: ' ';
	top: 20%;
	right: 20%;
	bottom: 20%;
	left: 20%;
	position: absolute;
}
.checkator_source:focus+.checkator_element { /* Focused element */
	border: 2px solid #cc0;
}
.checkator_source:hover+.checkator_element { /* Hovered element */
	/* Bug: There is a bug in chrome preventing this from working correctly */
	background-color: #def;
	border: 2px solid #79b;
}


/* RADIO SETTINGS */
.checkator_element.radio {
	border-radius: 50% !important;
}
.checkator_element.radio:after {
	border-radius: 50% !important;
}

/* CHECKBOX SETTINGS */
.checkator_element.checkbox { /* New element */
	border: 2px solid #abadb3;
}
